> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/runes/etch-rune.md).

# Etch Rune

You can use Xverse API to etch Runes.

The Xverse API runes etching service lets you place an etch order for your app, and orchestrates the required transactions.

This documentation will guide you through the required steps:

1. Validate you rune name & estimate the cost of a Rune Etch order-> see [Validate Rune Name](/api/runes/etch-rune/validate-rune-name.md)&  [Estimate Rune Etch Order](/api/runes/etch-rune/estimate-rune-etch-order.md)
2. Create a Rune Etch order -> see [Create Rune Etch Order](/api/runes/etch-rune/create-rune-etch-order.md)
3. Execute a Rune Etch order -> see [Execute Rune Etch Order](/api/runes/etch-rune/execute-rune-etch-order.md)
4. List and monitor Rune Etch orders -> [List Rune Etch Orders](/api/runes/etch-rune/list-rune-etch-orders.md) &[Monitor Rune Etch Order](/api/runes/etch-rune/monitor-rune-etch-order.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/api/runes/etch-rune.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
